<!DOCTYPE html>
<html lang="en">

<head>
    <title> Order Detail </title>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
    <div class="container">
        <p class="h3 text-left mt-5 "> Order Detai!!! </p>
        <div class="form-group col-12">
            <!-- <hr class="mt-5 mb-5" /> -->
        </div>

        <div class="form-group">
            <label>Order Code(mã đơn hàng):</label>
            <input class="form-control" id="inp-odercode" placeholder="...">
        </div>
        <div class="form-group">
            <label>Cỡ Combo:</label>
            <select id="select-size" class="form-control">
                <option value="NOT_SELECT_COMBO"> Chọn cỡ Combo (Combo size)</option>
                <option value="Small"> Nhỏ</option>
                <option value="Medium"> Vừa</option>
                <option value="Large"> Lớn</option>
            </select>
        </div>
        <div class="form-group">
            <label>Đường kính Pizza</label>
            <input class="form-control" id="inp-duong-kinh" placeholder="...">
        </div>
        <div class="form-group">
            <label>Sườn nướng(miếng)</label>
            <input class="form-control" id="inp-suong-nuong">
        </div>
        <div class="form-group">
            <label>Đồ uống</label>
            <select class="form-control" id="select-drink">
                <option value="NOT_SELECT_DRINK">Chọn đồ uống</option>
            </select>
        </div>
        <div class="form-group">
            <label>Số lượng nước uống</label>
            <input class="form-control" id="number-select">
        </div>
        <div class="form-group">
            <label>Voucher ID</label>
            <input class="form-control" id="inp-voucherid">
        </div>
        <div class="form-group">
            <label>Loại pizza</label>
            <select id="select-pizza" class="form-control">
                <option value="NOT_SELECT_PIZZA"> Chọn loại pizza </option>
                <option value="Seafood"> Hải sản</option>
                <option value="Hawaii"> Ha wai </option>
                <option value="Bacon"> Thịt hun khói </option>
            </select>
        </div>
        <div class="form-group">
            <label>Salad</label>
            <input class="form-control" id="inp-salad">
        </div>
        <div class="form-group">
            <label>Thành tiền</label>
            <input class="form-control" id="inp-prices">
        </div>
        <div class="form-group">
            <label>Giảm giá</label>
            <input class="form-control" id="inp-giam-gia">
        </div>
        <div class="form-group">
            <label>Họ và tên</label>
            <input class="form-control" id="inp-fullname">
        </div>
        <div class="form-group">
            <label>Email</label>
            <input class="form-control" id="inp-email">
        </div>
        <div class="form-group">
            <label>Số điện thoại</label>
            <input class="form-control" id="inp-mobile">
        </div>
        <div class="form-group">
            <label>Địa chỉ</label>
            <input class="form-control" id="inp-adress">
        </div>
        <div class="form-group">
            <label>Lời nhắn</label>
            <input class="form-control" id="inp-message">
        </div>
        <div class="form-group">
            <label> Trạng thái đơn hàng</label>
            <input class="form-control" id="inp-status">
        </div>
        <div class="form-group">
            <label>Ngày tạo đơn</label>
            <input class="form-control" id="inp-creat-order">
        </div>
        <div class="form-group">
            <label>Ngày cập nhật</label>
            <input class="form-control" id="inp-update">
        </div>
        <!-- <div class="btn-group">
            <button onclick="onBtnConfirmClick()" class="btn btn-success">Confirm</button>
            <button onclick="onBtnCancelClick()" class="btn btn-danger">Cancel</button>
        </div> -->
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    var gID = ""
    var gORDER_CODE = ""


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {

        readData();

        var vIsCheck = validateData()
        loadDataDrink()
        if (vIsCheck) {
            var vXmlHttpGetOrderById = new XMLHttpRequest();
            callApiGetOrderByOrderCode(vXmlHttpGetOrderById)
            vXmlHttpGetOrderById.onreadystatechange =
                function () {
                    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                        console.log(vXmlHttpGetOrderById.responseText);

                        showDataOrderByOrderCode(vXmlHttpGetOrderById);
                    }
                }
        } else {
            window.location.href = "pizza365index.html";
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // Hàm thực hiện call api để load dữ liệu vào drink list
    function readData() {
        var vUrl = new URL(window.location.href)

        gORDER_CODE = vUrl.searchParams.get("ordercode");
        gID = vUrl.searchParams.get("id");

        console.log(gORDER_CODE);
        console.log(gID);
    }
    
    function validateData() {
        if (gORDER_CODE == null) {
            alert("Không có ORDER_CODE")
            return false

        } if (gID == null) {
            alert("Không có ID")
            return false
        }
        return true
    }
    // call api get order by order code
    function callApiGetOrderByOrderCode(paramXhttp) {
        paramXhttp.open("GET", gBASE_URL + "/" + gORDER_CODE, true);
        paramXhttp.send();
    }
    
    function loadDataDrink(){
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
        var vXhttp = new XMLHttpRequest();
        vXhttp.open("GET", vBASE_URL, true);
        vXhttp.send();
        vXhttp.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                    showDataOnSelectDrink(vXhttp)
                }
            };
        
    }
    function showDataOnSelectDrink(paramXhttp){
        var vSelect = document.getElementById("select-drink");
        var vResponse = JSON.parse(paramXhttp.responseText);
        console.log(vResponse)
        for (var bI = 0; bI < vResponse.length; bI ++){
            var vNewOption = document.createElement("option");
            vNewOption.value = vResponse[bI].maNuocUong;
            vNewOption.text = vResponse[bI].tenNuocUong;
            vSelect.appendChild(vNewOption)
        }
        
    }
    
    function showDataOrderByOrderCode(paramXhttp) {
        var vResponse = JSON.parse(paramXhttp.responseText)
        console.log(vResponse)
        var vElementOrderCode = document.getElementById("inp-odercode");
        var vElementCombo = document.getElementById("select-size");
        var vElementDuongKinh = document.getElementById("inp-duong-kinh");
        var vElementSuonNuong = document.getElementById("inp-suong-nuong");
        var vElementDrink = document.getElementById("select-drink");
        var vElementSoLuongNuoc = document.getElementById("number-select");
        var vElementPizza = document.getElementById("select-pizza");
        var vElementVoucher = document.getElementById("inp-voucherid");
        var vElementSalad = document.getElementById("inp-salad");
        var vElementGiamGia = document.getElementById("inp-giam-gia");
        var vElementPrices = document.getElementById("inp-prices");
        var vElementName = document.getElementById("inp-fullname");
        var vElementEmail = document.getElementById("inp-email");
        var vElementMobile = document.getElementById("inp-mobile");
        var vElementAdress = document.getElementById("inp-adress");
        var vElementMessage = document.getElementById("inp-message");
        var vElementStatus = document.getElementById("inp-status");
        var vElementCreatOrder = document.getElementById("inp-creat-order");
        var vElementUpdate = document.getElementById("inp-update");


        vElementCombo.value = vResponse.kichCo;
        vElementOrderCode.value = vResponse.orderCode;
        vElementDuongKinh.value = vResponse.duongKinh + " cm";
        vElementSuonNuong.value = vResponse.suon;
        vElementDrink.value = vResponse.idLoaiNuocUong;
        vElementSoLuongNuoc.value = vResponse.soLuongNuoc;
        vElementPizza.value = vResponse.loaiPizza;
        vElementVoucher.value = vResponse.idVourcher;
        vElementSalad.value = vResponse.salad + "g";
        vElementPrices.value = vResponse.thanhTien;
        vElementGiamGia.value = vResponse.giamGia + " %";
        vElementName.value = vResponse.hoTen;
        vElementEmail.value = vResponse.email;
        vElementMobile.value = vResponse.soDienThoai;
        vElementAdress.value = vResponse.diaChi;
        vElementMessage.value = vResponse.loiNhan;
        vElementStatus.value = vResponse.trangThai;
        vElementCreatOrder.value = vResponse.ngayCapNhat;
        vElementUpdate.value = vResponse.ngayTao;

    }
</script>

</html>